## org.hibernate.metamodel.source.annotations
Interface AnnotationBindingContext

All Superinterfaces:
  BindingContext

All Known Implementing Classes:
  AnnotationBindingContextImpl, EntityBindingContext

    public interface AnnotationBindingContext

extends BindingContext

Defines an interface for providing additional annotation related context information.

Method Summary
`org.jboss.jandex.ClassInfo` `getClassInfo(String name)`
`org.jboss.jandex.Index` `getIndex()`
`com.fasterxml.classmate.ResolvedType` `getResolvedType(Class<?> clazz)`
`void` `resolveAllTypes(String className)`
`com.fasterxml.classmate.ResolvedTypeWithMembers` `resolveMemberTypes(com.fasterxml.classmate.ResolvedType type)`

Methods inherited from interface org.hibernate.metamodel.source.BindingContext
`getMappingDefaults, getMetadataImplementor, getNamingStrategy, getServiceRegistry, isGloballyQuotedIdentifiers, locateClassByName, makeClassReference, makeJavaType, qualifyClassName`

Method Detail

### getIndex

    org.jboss.jandex.Index getIndex()

### getClassInfo

    org.jboss.jandex.ClassInfo getClassInfo(String name)

### resolveAllTypes

    void resolveAllTypes(String className)

### getResolvedType

    com.fasterxml.classmate.ResolvedType getResolvedType(Class<?> clazz)

### resolveMemberTypes

    com.fasterxml.classmate.ResolvedTypeWithMembers resolveMemberTypes(com.fasterxml.classmate.ResolvedType type)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.